@font-face {
    font-family: 'GMarketSans-Light';
    src: url('https://cdn.jsdelivr.net/gh/projectnoonnu/noonfonts_2001@1.1/GmarketSansLight.woff') format('woff');
    font-weight: 300;
    font-display: swap;
}

@font-face {
    font-family: 'GMarketSans-Medium';
    src: url('https://cdn.jsdelivr.net/gh/projectnoonnu/noonfonts_2001@1.1/GmarketSansMedium.woff') format('woff');
    font-weight: 500;
    font-display: swap;
}

@font-face {
    font-family: 'GMarketSans-Bold';
    src: url('https://cdn.jsdelivr.net/gh/projectnoonnu/noonfonts_2001@1.1/GmarketSansBold.woff') format('woff');
    font-weight: 700;
    font-display: swap;
}

:root {
    --font-Light: 'GMarketSans-Light';
    --font-Medium: 'GMarketSans-Medium';
    --font-Bold: 'GMarketSans-Bold';
}

* {
    box-sizing: border-box;
}

body {
  margin: 0;
  height: 100vh;
  display: flex;
  text-align: center;
  justify-content: center;
  align-items: center;
  font-family: var(--font-Bold);
}

.container {
  text-align: center;
  width: 90%;
  max-width: 400px;
}

#message {
  margin-bottom: 10px;
  font-size: 18px;
}

.error {
  color: red;
}

input {
  width: 100%;
  padding: 8px;
  margin-bottom: 8px;
  font-family: var(--font-Light);
}

button {
  padding: 8px 16px;
  cursor: pointer;
  font-family: var(--font-Medium);
}

video {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  object-fit: cover;
  background: black;
}
